# A dynamic informed deep learning method for future estimation of laboratory stick-slip
Enjiang Yue, Mengjiao Qin, Linshu Hu, Sensen Wu, and Zhenhong Du \
Zhejiang University

## Abstract
HKAE(Hankel Koopman Auto-Encoder) is a model inspired by dynamic system theory to achieve slip prediction under limited observations. The model reconstructs the phase space of the slip system through shear stress variations based on delay embedding theory, and executes the system's dynamic evolution by approximated Koopman operator.

### Set up
1. Install
> pip install -r requirements.txt
2. KAE modeling, analysis and plots can be executed interactively directly via 20240702-driver.ipynb
> Notice: The path of data need to change according to actual file path

### Code
1. 20240702-driver.ipynb
The driver notebook ok HKAE
2. model.py
The model file of HKAE
3. utils.py
The utils used in HKAE modeling.

### Data
1. b693-ode.npy
The simulation data generated using code from
2. 4581-0001subwindow.csv, 4679-0001subwindow.csv, 5198-0001subwindow.csv
The laboratory slip shear stress data. 
4581: fast slip
4679: fast-slow switching slip
5198: slow slip
